<radio-input>
<input type="radio" id="{id}" name="{group}" value="{value}" checked="{checked}" onclick="{onclickfunc}" onfocus={focusFunc} onblur={blurFunc}>
<label for="{id}" id="{lid}" class="radio" tabIndex="0" value="{value}">{value}</label>
<script>
	this.id = opts.tagid;
	this.lid = opts.tagid + "Lbl";
	this.group = opts.group;
	this.value = opts.value;
	this.label = opts.label;
	this.onclickfunc = opts.onclickfunc;
	this.checked = (opts.checked == 'true' || opts.checked == 'checked') ? "checked" : "";
	
	// フォーカスin時の値を保持
	this._tmpVal = this.value;
	
	/**
	 * フォーカスin時の処理
	 */
	focusFunc(e) {
		e.preventUpdate = true; // タグは自動では更新されない
		this._tmpVal = $('#' + this.id).val();
	}

	/**
	 * フォーカスout時の処理
	 */
	blurFunc(e) {
		e.preventUpdate = true; // タグは自動では更新されない
		var aftVal = $('#' + this.id).val();
		if (this._tmpVal != aftVal) {
			updFlg = true;
			$('#' + this.id).attr('data-updflg', '1');
		}
	}

	/**
	 * マウント時の処理
	 */
	this.on('updated', function() {
		setDataObj(opts.tagid, opts);
		if (this.label == null) {
			$('#' + this.lid).html('\u00A0');
			$('#' + this.lid).addClass('noLabel');
		} else {
			$('#' + this.lid).html(replaceBr(this.label));
		}
	});
	
	/**
	 * キーがデータ属性に使用するキーかどうか
	 */
	function isDataAttrKey(key) {
		return key.startsWith('data-');
	}
	
	/**
	 * データ属性を設定する
	 */
	function setDataObj(id, val, forcingFlg) {
		Object.keys(val).forEach(function(key) {
			if (isDataAttrKey(camelToSnake(key, '-')) || forcingFlg) {
				var v = val[key];
				if (typeof v === 'object') {
					setDataObj(id, v, true);
				} else {
					$('#' + id).attr(forcingFlg ? 'data-' + key : camelToSnake(key, '-'), v);
				}
			}
		});
	}
	
</script>
</radio-input>
